# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/jboss/messaging/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define section free

%define reltag SP5
%define namedversion %{version}.%{reltag}

Name:           jboss-messaging
Version:        1.4.8
Release:        9.%{reltag}.1%{?dist}
Epoch:          0
License:        LGPLv2+
Group:          Development/Java
Summary:        Enterprise Messaging for Java and the App Server
URL:            http://www.jboss.org/jbossmessaging

# svn export https://svn.jboss.org/repos/messaging/tags/JBossMessaging_1_4_8_SP5/ JBossMessaging
# Exported revision 8463.
# tar czf jboss-messaging-1.4.8.SP5-src.tar.gz JBossMessaging

Source0:        jboss-messaging-%{namedversion}-src.tar.gz
Source1:        jboss-messaging-component-info.xml
Source2:        jboss-messaging-libraries.ent
# FIXME (mbenitez) The three pom.xml below were not found. Adjusted basic 1.4.6
# for current version
# http://repository.jboss.org/maven2/jboss/messaging/jboss-messaging/1.4.6.GA/jboss-messaging-1.4.6.GA.pom, jboss-messaging-client-1.4.6.GA.pom resources-1.4.6.GA.pom
Source3:        jboss-messaging.pom
Source4:	jboss-messaging-client.pom
Source5:	resources.pom

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       concurrent
Requires:       gnu-trove
Requires:       javassist
Requires:       jboss5-libs
Requires:       jboss-aop2
Requires:       jboss-common-core
Requires:       jboss-common-logging-spi
Requires:       jboss-integration
Requires:       jboss-mdr
Requires:       jboss-microcontainer2
Requires:       jboss-remoting
Requires:       jboss-security-spi
Requires:       jbosssx2
Requires:       jbossts
Requires:       jms_1_1_api
Requires:       jta_1_0_1B_api
Requires:       jgroups
BuildRequires:  ant
BuildRequires:  ant-nodeps
BuildRequires:  concurrent
BuildRequires:  gnu-trove
BuildRequires:  javacc
BuildRequires:  javacc40
BuildRequires:  javassist
BuildRequires:  jboss5-libs
BuildRequires:  jboss-aop2
BuildRequires:  jboss-common-core
BuildRequires:  jboss-common-logging-spi
BuildRequires:  jboss-integration
BuildRequires:  jboss-jms-1.1-api
BuildRequires:  jboss-mdr
BuildRequires:  jboss-microcontainer2
BuildRequires:  jboss-remoting
BuildRequires:  jboss-security-spi
BuildRequires:  jbosssx2
BuildRequires:  jbossts
BuildRequires:  jboss-transaction-1.0.1-api
BuildRequires:  jgroups
BuildRequires:  jpackage-utils
BuildRequires:  maven-buildmagic-thirdparty-plugin
BuildRequires:  saxon
BuildRequires:  xmlgraphics-fop
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss Messaging is a high performance JMS provider in the JBoss Enterprise 
Middleware Stack (JEMS). It is a complete rewrite of JBossMQ, the legacy 
JBoss JMS provider.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Usage examples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%package examples
Summary:        Examples for %{name}
Group:          Development/Documentation

%description examples
%{summary}.

%prep
%setup -q -n JBossMessaging
chmod -R go=u-w *
%{_bindir}/find . -name "*.jar" -not -name "jbossbuild.jar" | %{_bindir}/xargs -t %{__rm} -f

mkdir thirdparty
cp -p %{SOURCE2} thirdparty/libraries.ent
/bin/touch thirdparty/libraries.ent

%build
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/nodeps`
export CLASSPATH=$(build-classpath concurrent jboss5-libs/j2se jboss5-libs/server jboss5-libs/system jboss5-libs/system-jmx jboss-aop2/jboss-aop jboss-common-core jboss-common-logging-spi jboss-jms-1.1-api jboss-mdr jboss-remoting jbosssx2/jbosssx \
jboss-transaction-1.0.1-api jboss-microcontainer2/jboss-kernel jboss-j2se/jboss-j2se jboss-integration/jboss-transaction-spi jboss-security-spi/jboss-security-spi jbossts/jbossjta jgroups trove javassist xmlgraphics-fop saxon javacc40) 

%{ant} -Dsun.javacc.lib=%{_javadir} -Dbuild.sysclasspath=first release-bundle extra

mkdir -p temp
pushd temp
tar xzf %{SOURCE0}
%{jar} cf ../%{name}-src.jar *
popd
rm -r temp

%install
rm -rf %{buildroot}

# jar
install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 output/lib/jboss-messaging.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

# client and sar
install -pm 0644 output/lib/jboss-messaging-client.jar %{buildroot}%{_javadir}/%{name}-client-%{version}.jar
install -dm 0755 %{buildroot}%{_datadir}/%{name}-%{version}
install -pm 0644 output/lib/jboss-messaging.sar %{buildroot}%{_datadir}/%{name}-%{version}
cp -pr output/etc %{buildroot}%{_datadir}/%{name}-%{version}

# resources
mkdir -p tmp/resources
cd tmp
cp -p ../output/etc/server/default/deploy/*.xml resources/
cp -p ../output/etc/remoting/*.xml resources/
rm resources/jboss*
# NOTE This file does not appear in jar from maven2 repository 
rm resources/connection-factories-service.xml
%{jar} -cf %{name}-resources-%{version}.jar resources 
install -p -m 0644 %{name}-resources-%{version}.jar %{buildroot}%{_javadir}/%{name}-resources-%{version}.jar
cd ..
rm -r tmp

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr output/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# manual
install -d -m 0755 %{buildroot}%{_docdir}/%{name}-%{version}
cp -pr output/docs/userguide/en/pdf %{buildroot}%{_docdir}/%{name}-%{version}
cp -pr output/docs/userguide/en/html %{buildroot}%{_docdir}/%{name}-%{version}

# examples
install -dm 755 %{buildroot}%{_javadir}/jbossas-fordev
install -p -m 0644 output/lib/jbm-examples-%{version}.zip %{buildroot}%{_javadir}/jbossas-fordev/%{name}-examples-%{version}.zip

mkdir -p %{buildroot}%{_datadir}/maven2/poms
# FIXME: the JBM 1.4.3.GA pom has lots of dependecies that should have
# scope provided.  The maven2 repo fixed this by installing a minimal pom,
# which is what we are mimicing here
# The right fix should be to add scope provided to the JBM pom itself
#cp -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
sed -i 's/@VERSION@/%{namedversion}/g' %{SOURCE3}
cp -p %{SOURCE3} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap jboss.messaging jboss-messaging %{namedversion} JPP %{name}
sed -i 's/@VERSION@/%{namedversion}/g' %{SOURCE4}
cp -p %{SOURCE4} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-client.pom
%add_to_maven_depmap jboss.messaging jboss-messaging-client %{namedversion} JPP %{name}-client
sed -i 's/@VERSION@/%{namedversion}/g' %{SOURCE5}
cp -p %{SOURCE5} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-resources.pom
%add_to_maven_depmap jboss.messaging resources %{namedversion} JPP %{name}-resources

%if %with repolib
install -d -m 755 %{buildroot}%{repodir}
install -d -m 755 %{buildroot}%{repodirlib}
install -p -m 644 %{SOURCE1} %{buildroot}%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{namedversion}-brew/g' %{buildroot}%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
install -d -m 755 %{buildroot}%{repodirsrc}
install -p -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom %{buildroot}%{repodirlib}/jboss-messaging.pom
cp -p %{buildroot}%{_javadir}/%{name}.jar %{buildroot}%{repodirlib}/jboss-messaging.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-client.pom %{buildroot}%{repodirlib}/jboss-messaging-client.pom
cp -p %{buildroot}%{_javadir}/%{name}-client.jar %{buildroot}%{repodirlib}/jboss-messaging-client.jar
# Add the source again for some eclipse jboss project use
cp -p %{name}-src.jar %{buildroot}%{repodirlib}/jboss-messaging-src.jar
# Add resources
install -d -m 755 %{buildroot}%{repodir}/resources
cp -p output/etc/server/default/deploy/*.xml %{buildroot}%{repodir}/resources
rm %{buildroot}%{repodir}/resources/jboss*
cp -p output/etc/remoting/*.xml %{buildroot}%{repodir}/resources
# NOTE This file does not appear in jar from maven2 repository 
rm %{buildroot}%{repodir}/resources/connection-factories-service.xml
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-resources.pom %{buildroot}%{repodirlib}/jboss-messaging-resources.pom
cp -p %{buildroot}%{_javadir}/%{name}-resources.jar %{buildroot}%{repodirlib}/jboss-messaging-resources.jar

install -d -m 755 %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
pushd $RPM_BUILD_ROOT%{repodir}
%{_bindir}/mvn-jpp -e \
        org.jboss.maven.plugins:maven-buildmagic-thirdparty-plugin:maven-deploy\
        -Durl=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew \
        -Dversion=%{namedversion} -Dclassifiers=src
popd
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-client-%{version}.jar
%{_javadir}*/%{name}-client.jar
%{_javadir}*/%{name}-resources-%{version}.jar
%{_javadir}*/%{name}-resources.jar
%{_datadir}/%{name}-%{version}
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_datadir}/maven2/poms/JPP-%{name}-client.pom
%{_datadir}/maven2/poms/JPP-%{name}-resources.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%files examples
%defattr(0644,root,root,0755)
%dir %{_javadir}/jbossas-fordev
%{_javadir}*/jbossas-fordev/%{name}-examples-%{version}.zip

%if %with_repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Oct 27 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.4.8-9.SP5.1
- Upgrade to 1.4.8.SP5

* Wed Oct 26 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.4.8-9.SP4.1
- Upgrade to 1.4.8.SP4

* Tue Sep 27 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.4.8-8.SP3.1
- Upgrade to 1.4.8.SP3

* Tue Aug 23 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:1.4.8-7.SP2.2
- Rebuild to fix a package name error in previous build

* Tue Aug 23 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:1.4.8-7.SP2.1
- Upgrade to 1.4.8.SP2

* Wed Jun 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.4.8-6.SP1.1
- Upgrade to 1.4.8.SP1
- Restore jboss-messaging-libraries.ent
- Add BR javacc40

* Fri Apr 29 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.4.8-5.GA.1
- Upgrade to 1.4.8.GA
- Adapt minimal pom.xml files to be version independent
- Add examples sub-package

* Wed Dec 14 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.4.7-4.GA.2
- Add maven2-brew contents to repolib

* Wed Jul 28 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.4.7.4.GA-1
- Upgrade to 1.4.7.GA

* Mon Jun 07 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.4.6.2.GA_SP1-1.1
- Rebuild, include reltag in release tag

* Thu Jun 03 2010 Yiqiao Wan <yiwang@redhat.com> - 0:1.4.6.GA_SP1-2.1
- Rebuild, fix release tag

* Fri May 28 2010 Weinan Li <weli@redhat.com> - 0:1.4.6.GA_SP1-1.6
- 1.4.6.GA_SP1
- Remove jboss-messaging-libraries.ent
- Remove jboss-messaging-build-messaging-AS5.patch

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.4.6-1.5.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.4.6-1.5
- Rebuild

* Fri Feb 26 2010 David Walluck <dwalluck@redhat.com> 0:1.4.6-1.4
- file file list

* Thu Feb 25 2010 David Walluck <dwalluck@redhat.com> 0:1.4.6-1.3
- clean up (Build)Requires
- fix repolib
- maven macros should not be part of javadoc package

* Thu Feb 25 2010 Permaine Cheung <pcheung@redhat.com> 0:1.4.6-1.2
- Do not R jboss-aop

* Thu Oct 15 2009 Permaine Cheung <pcheung@redhat.com> 0:1.4.6-1.1
- Upgrade to 1.4.6
- Remove patch for build.properties to build for AS5

* Mon Oct 05 2009 Permaine Cheung <pcheung@redhat.com> 0:1.4.5-1.1
- Upgrade to 1.4.5
- Add patch for build.properties to build for AS5

* Fri Oct 02 2009 Martha Benitez <mbenitez@redhat.com> 0:1.4.3-1.7
- Exchange pom.xml for minimal pom.xml in repolib

* Fri Sep 11 2009 Martha Benitez <mbenitez@redhat.com> 0:1.4.3-1.6
- Change depmap fragment from jboss-messaging-resources to resources

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> 0:1.4.3-1.5
- Install a minimal pom to match maven2 repo and workaround missing provided
  scope specifications in the upstream POM

* Fri Sep 11 2009 Martha Benitez <mbenitez@redhat.com> 0:1.4.3-1.4
- Change name for resources.jar

* Thu Sep 10 2009 Fernando Nasser <fnasser@redhat.com> 0:1.4.3-1.3
- Change depmap root to dot and not dash separation
- Add missing update_maven_depmap to post and postun

* Wed Sep 09 2009 Martha Benitez <mbenitez@redhat.com> 0:1.4.3-1.2
- Add depmap fragments

* Wed Sep 09 2009 Martha Benitez <mbenitez@redhat.com> 0:1.4.3-1.1
- Add pom.xml files to repolib
- Create jboss-messaging-resources.jar

* Thu Aug 27 2009 Martha Benitez <mbenitez@redhat.com> 0:1.4.3-1.GA
- Upgrade to 1.4.3.GA
- Change jpackage-utils >= 0:1.6 to jpackage-utils >= 0:1.7.3
- Comment BR eclipse-ecj
- Change xml-commons-jaxp-apis to xml-commons-jaxp-1.3-apis
- Comment creation of symlink to jboss-j2ee, jbosscx-client, jnp-client
- Add symlink to jboss-common-core, jboss-kernel
- Add BR and use it for thirdparty symlink: jboss-jms-1.1-api, jbosssx2, jboss-security-spi, jboss-j2se
- Change BR jboss-transaction-client to jboss-transaction-1.0.1-api and use it for thirdparty symlink
- Add BR jboss-integration and use it for thirdparty symlink along with jbossts 

* Tue Jul 14 2009 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-3.SP3_CP08.patch01.1
- Upgrade to CP08.patch01

* Mon May 25 2009 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-2.SP3_CP08.1
- Upgrade to CP08

* Wed Feb 11 2009 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-2.SP3_CP07.1
- Upgrade to CP07

* Tue Feb 03 2009 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-2.SP3_CP06.1
- Upgrade to CP06

* Fri Jan 16 2009 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-2.SP3_CP05.1
- Upgrade to CP05

* Wed Jan 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-2.SP3_CP04.4
- Add compatible line for Remoting 2.2.2.SP11-brew

* Thu Oct 09 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-2.SP3_CP04.3
- Refresh source tar ball for respin of CP04
- Incorporate component-info.xml fixes by Clebert Suconic

* Tue Oct 07 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-2.SP3_CP04.2
- Add compatible line for JGroups 2.4.4.GA-brew

* Tue Oct 07 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-2.SP3_CP04.1
- Upgrade to CP04

* Wed Jul 30 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP3_CP03.0jpp.ep1.3
- Add compatible line for Remoting 2.2.2.SP9-brew

* Mon Jun 30 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-1.SP3_CP03.0jpp.ep1.2
- 1.4.0 SP3_CP03 (retag)

* Wed Jun 25 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-1.SP3_CP03.0jpp.ep1.1
- 1.4.0 SP3_CP03
- don't own %%{_javadir}

* Tue Jun 24 2008 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-1.SP3_CP02.0jpp.ep1.8
- add aop 1.5.5.GA_CP02 as compatible

* Tue Jun 24 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-1.SP3_CP02.0jpp.ep1.8
- add remoting 2.2.2.SP8 as compatible

* Fri Jun 13 2008 Deepak Bhole <dbhole@redhat.com> 1.4.0-1.SP3_CP02.0jpp.ep1.7
- Fix JBPAPP-879: Update component-info to include null-persistence-service.xml

* Mon Apr 28 2008 Deepak Bhole <dbhole@redhat.com> 1.4.0-1.SP3_CP02.0jpp.ep1.6
- Fix location of jboss-messaging-client

* Thu Apr 17 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP3_CP02.0jpp.ep1.5
  From Clebert Suconic <clebert.suconic@jboss.com>:
- Adding missing ndb-persistence-service.xml

* Thu Apr 03 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP3_CP02.0jpp.ep1.4
- Respin of source tar ball at JBM team request

* Mon Mar 31 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-1.SP3_CP02.0jpp.ep1.3
- add jgroups 2.4.2.GA_CP01-brew as compatible

* Mon Mar 31 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-1.SP3_CP02.0jpp.ep1.2
- add back Remoting SP5 as compatible

* Mon Mar 31 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-1.SP3_CP02.0jpp.ep1.1
- 1.4.0.SP3_CP02
- add compatible lines for Remoting SP6 and SP7

* Wed Mar 12 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP3_CP01.0jpp.ep1.3
- Add compatible line for Remoting SP5

* Thu Jan 24 2008 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP3_CP01.0jpp.ep1.2
- Add more <compatible> lines

* Thu Dec 13 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP3_CP01.0jpp.ep1.1
- Upgrade to SP3_CP01

* Thu Dec 13 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP3.0jpp.ep1.1
- Upgrade to SP3

* Thu Dec 13 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP2.0jpp.ep1.4
- Accept JBoss Remoting 2.2.2.SP4

* Fri Dec 07 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP2.0jpp.ep1.3
- Accept JBoss Common 1.2.1.GA

* Fri Dec 07 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP2.0jpp.ep1.2
- Fix the set of files in resources
- Update component-info.xml with  list of such files

* Fri Dec 07 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP2.0jpp.ep1.1
- Update to SP2
- Add resources subdirectory to the repolib

* Wed Oct 31 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-1.SP1.0jpp.ep1.1
- Update to SP1

* Wed Oct 24 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-0jpp.ep1.1
- Fix release number
- Add client JAR to repolib as well

* Wed Oct 24 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-2jpp.ep1.1
- Upgrade to GA

* Thu Aug 30 2007 Deepak Bhole <dbhole@redhat.com> 0:1.4.0-1.CR1.0jpp.ep1.2
- Use the new javacc rpm
- Create a -src.jar

* Tue Aug 28 2007 Deepak Bhole <dbhole@redhat.com> 0:1.4.0-1.CR1.0jpp.ep1.1
- Initial build
